Can't update from phpBB 2.0.20 to phpBB 2.0.21

Wondering why that MOD you have won't install correctly? Let's take a look
Forum rules
DO NOT give out any FTP passwords to anyone! There is no reason to do so! If you need help badly enough, create a temporary FTP account that is restricted to only the files that you need help with and give the information for that. Giving out FTP information can be very dangerous!
Locked
User avatar
sergefa
Posts: 39
Joined: Fri Jul 14, 2006 8:22 pm
Location: Krymsk, Krasnodarsky Kray, Russia
Contact:

Can't update from phpBB 2.0.20 to phpBB 2.0.21

Post by sergefa »

According to my Admin Information I have a phpBB 2.0.20 version even though I tried to update to the next phpBB 2.0.21 version. I ran update via EasyMOD mod and now the EasyMOD History shows "phpBB 2.0.20 to phpBB 2.0.21 Code Changes" in the Installed MODs list but the Forum Admin Panel Version Information says:
"Version Information
Your installation does not seem to be up to date. Updates are available for your version of phpBB, please visit http://www.phpbb.com/downloads.php to obtain the latest version.
The latest available version is phpBB 2.0.22. You are running phpBB 2.0.20."
Where did I go wrong and how can I update to the phpBB 2.0.21 and then to phpBB 2.0.22 through the EasyMod?
Thank you
Beauty is in the eye of the beer holder
My site:http://www.russianhunting.narod.ru
My phpBB 2 forum: http://krymsk.net/forum/index.php
User avatar
WhiteWolfSix
Registered User
Posts: 210
Joined: Fri Jan 21, 2005 9:05 am
Location: 48°43′N, 19°08′E

Re: Can't update from phpBB 2.0.20 to phpBB 2.0.21

Post by WhiteWolfSix »

You could made direct update from 2.0.20 to 2.0.22. I think your only problem is that you haven't made update to database, so system is showing 2.0.20 even if you updated files. Search for database update file in install folder and run it via web browser.
Image
WhiteWolfSix (WW6)
User avatar
sergefa
Posts: 39
Joined: Fri Jul 14, 2006 8:22 pm
Location: Krymsk, Krasnodarsky Kray, Russia
Contact:

Re: Can't update from phpBB 2.0.20 to phpBB 2.0.21

Post by sergefa »

Thank you. At the moment I only have a phpBB-2.0.21-codechanges folder containing a file "phpbb-2.0.20_to_2.0.21.txt" and "Install" folder containing only a update_to_latest.php file. Do I need to run the update_to_latest.php file? And what happens to my 35 Mods. Am I running the risk of losing them? If there is no alternative I guess I"ll have to put up with the loss/
Beauty is in the eye of the beer holder
My site:http://www.russianhunting.narod.ru
My phpBB 2 forum: http://krymsk.net/forum/index.php
User avatar
WhiteWolfSix
Registered User
Posts: 210
Joined: Fri Jan 21, 2005 9:05 am
Location: 48°43′N, 19°08′E

Re: Can't update from phpBB 2.0.20 to phpBB 2.0.21

Post by WhiteWolfSix »

Yes, you would need to run update_to_latest.php file. Before, backup your DB, but generally that script should run without a problem.

Don't forget to update to 2.0.22 the same way.
Image
WhiteWolfSix (WW6)
Locked